Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class RowAction.MoveUpAction

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidget
          org.apache.cocoon.forms.formmodel.Action
              org.apache.cocoon.forms.formmodel.RowAction
                  org.apache.cocoon.forms.formmodel.RowAction.MoveUpAction

All Implemented Interfaces:
  ActionListenerEnabled, org.apache.cocoon.util.location.Locatable, Widget

Enclosing class:
  RowAction

public static class RowAction.MoveUpAction
extends RowAction

Nested Class Summary

Nested classes inherited from class org.apache.cocoon.forms.formmodel.RowAction
`RowAction.MoveDownAction, RowAction.MoveUpAction`

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidget
`wasValid`

Fields inherited from interface org.apache.cocoon.forms.formmodel.Widget
`PATH_SEPARATOR`

Constructor Summary
`RowAction.MoveUpAction(RowActionDefinition.MoveUpDefinition definition)`

Method Summary
`void` | `generateSaxFragment(ContentHandler contentHandler, Locale locale)` Generates an XML representation of this widget. The startDocument and endDocument SAX events will not be called. It is assumed that the prefix for the CForms namespace mentioned in Constants.FI_PREFIX is already declared (by the caller or otherwise). This will generate some standard XML consisting of a simple wrapper element (name provided by `AbstractWidget.getXMLElementName()`) with attributes (provided by `AbstractWidget.getXMLElementAttributes()` around anything injected in by both `AbstractWidget.generateDisplayData(ContentHandler)` and `AbstractWidget.generateItemSaxFragment(ContentHandler, Locale)`.
     <fi:AbstractWidget.getXMLElementName() AbstractWidget.getXMLElementAttributes() >
       AbstractWidget.generateDisplayData(ContentHandler) (i.e. help, label, ...)

       AbstractWidget.generateItemSaxFragment(ContentHandler, Locale)
     </fi:AbstractWidget.getXMLElementName() >
This will generate some standard XML consisting of a simple wrapper element (name provided by `Action.getXMLElementName()`) with attributes (provided by `AbstractWidget.getXMLElementAttributes()` around anything injected in by both `AbstractWidget.generateDisplayData(ContentHandler)` and `AbstractWidget.generateItemSaxFragment(ContentHandler, Locale)`.

Methods inherited from class org.apache.cocoon.forms.formmodel.Action
`addActionListener, broadcastEvent, getDefinition, getXMLElementName, handleActivate, isValid, performAction, readFromRequest, removeActionListener, validate`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidget
`addValidator, generateDisplayData, generateItemSaxFragment, generateLabel, getAttribute, getChild, getCombinedState, getForm, getFullName, getId, getLocation, getName, getParent, getRequestParameterName, getState, getValue, getWidget, getXMLElementAttributes, initialize, isRequired, lookupWidget, removeAttribute, removeValidator, setAttribute, setParent, setState, setValue, toString, widgetNameChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowAction.MoveUpAction

    public RowAction.MoveUpAction(RowActionDefinition.MoveUpDefinition definition)

Method Detail

### generateSaxFragment

    public void generateSaxFragment(ContentHandler contentHandler,
                                    Locale locale)
                             throws SAXException

  Description copied from class: `AbstractWidget`
  Generates an XML representation of this widget. The startDocument and endDocument SAX events will not be called. It is assumed that the prefix for the CForms namespace mentioned in Constants.FI_PREFIX is already declared (by the caller or otherwise). This will generate some standard XML consisting of a simple wrapper element (name provided by `AbstractWidget.getXMLElementName()`) with attributes (provided by `AbstractWidget.getXMLElementAttributes()` around anything injected in by both `AbstractWidget.generateDisplayData(ContentHandler)` and `AbstractWidget.generateItemSaxFragment(ContentHandler, Locale)`.

       <fi:AbstractWidget.getXMLElementName() AbstractWidget.getXMLElementAttributes() >
         AbstractWidget.generateDisplayData(ContentHandler) (i.e. help, label, ...)

         AbstractWidget.generateItemSaxFragment(ContentHandler, Locale)
       </fi:AbstractWidget.getXMLElementName() >

  Specified by:
    `generateSaxFragment` in interface `Widget`
  Overrides:
    `generateSaxFragment` in class `AbstractWidget`
  Parameters:
    `contentHandler` - to send the SAX events to
    `locale` - in which context potential content needs to be put.
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.